.Signup {
    background: rgba(0, 0, 0, .7);
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100%;
    z-index: -1;
    opacity: 0;
    transition: opacity .3s ease;
    display: flex;
    overflow-y: auto;

    &.isOpen {
        opacity: 1;
        pointer-events: all;
        z-index: 21;
    }

    &-title {
        margin: 0 auto 20px;
        text-align: center;

        @media @mobile {
            margin: 0 auto 40px;
        }
    }

    //&-subTitle {
    //    font-size: 20px;
    //    line-height: 20px;
    //    margin: 0 auto 30px;
    //}

    &-content {
        width: ~'calc(100% - 80px)';
        max-width: 1360px;
        margin: 60px auto;
        position: absolute;
        //min-height: 100%;
        top: 0;
        left: 50%;
        transform: translate3d(-50%, 0, 0);
        display: flex;

        @media @mobile {
            margin: 100px auto 120px;
            width: ~'calc(100% - 40px)';
        }
    }

    &-thankyou {
        background-color: #fff;
        position: relative;
        width: 50%;
        //transform: translate3d(-50%, -50%, 0);
        //top: 50%;
        //left: 50%;
        margin: auto;
        display: flex;
        flex-direction: column;
        padding: 40px 40px;
        align-items: center;
        z-index: 4;
    }

    &-form {
        background: #fff;
        position: relative;
        width: 50%;
        min-width: 600px;
        margin: auto;
        display: flex;
        flex-direction: column;
        padding: 50px 40px;
        align-items: center;
        z-index: 4;

        form {
            width: 100%;
        }

        @media @mobile {
            min-width: 0;
            width: 100%;
            padding: 40px 20px;
        }
    }

    &-step1 {
    }

    &-step2 {
        display: none; // initially step is hidden
    }

    &-error {
        display: none;
        color: red; // initially step is hidden
        font-size: 18px;
        text-align: center;
    }

    &-details {
        color: grey;
        font-size: 24px;
        line-height: 1.4;
        margin-bottom: 30px;
    }

    &-details-title {
        font-size: 18px;
        line-height: 1.4;
        margin-bottom: 10px;
    }

    &-details-sum {
        font-size: 24px;
        line-height: 1.4;
        margin-bottom: 10px;
        margin-top: 10px;
    }

    &-details-sum .price {
        color: grey;
    }

    &-close {
        width: 40px;
        height: 40px;
        position: absolute;
        right: -60px;
        top: 0;
        cursor: pointer;
        border-radius: 50%;

        svg {
            position: absolute;
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            width: 100%;
            height: 100%;
            fill: #fff;
            pointer-events: none;
            transition: opacity .2s ease;
        }

        &:hover svg {
            opacity: .3;
        }

        @media @mobile {
            right: 0;
            top: -60px;
        }
    }

    &-row {
        display: flex;
        align-items: center;
        margin-bottom: 20px;

        @media @mobile {
            flex-direction: column;
        }
    }

    &-label {
        width: 150px;
        font-size: 16px;
        line-height: 20px;
        letter-spacing: .14px;
        //margin-bottom: 10px;
        //color: #A8A8A8;
        text-align: right;
        margin-right: 20px;

        @media @mobile {
            text-align: center;
            margin-right: 0;
            margin-bottom: 5px;
        }
    }

    &-label-sum {
        width: 200px;
        font-size: 24px;
    }

    &-input {
        //width: ~'calc(50% - 40px)';
        height: 50px;
        border: 1px solid @lightgrey;
        width: 320px;
        padding: 0 0 0 10px;
        outline: none;
        font-size: 20px;
        line-height: 40px;
        -webkit-appearance: none;
        -moz-appearance: none;
        appearance: none;
        border-radius: 0;
        //border-radius: 2px;

        @media @mobile {
            width: 100%;
        }

        &::-moz-placeholder {
            color: @lightgrey;
            font-size: 16px;
            opacity: 1;
        }

        &:-moz-placeholder {
            color: @lightgrey;
            font-size: 16px;
            opacity: 1;
        }

        &:-ms-input-placeholder {
            color: @lightgrey;
            font-size: 16px;
            opacity: 1;
        }

        &::-webkit-input-placeholder {
            color: @lightgrey;
            font-size: 16px;
            opacity: 1;
        }
    }

    &-input-sum {
        height: 50px;
        border: 1px solid @lightgrey;
        width: 100px;
        padding: 0 0 0 10px;
        margin-right: 15px;
        outline: none;
        font-size: 20px;
        line-height: 40px;
        -webkit-appearance: none;
        -moz-appearance: none;
        appearance: none;
        border-radius: 0;
    }

    &-button {
        width: 320px;
        height: 80px;
        margin: 40px auto 0;
        display: block;
        text-align: center;
        font-size: 24px;
        line-height: 40px;
        letter-spacing: .4px;
        cursor: pointer;
        transition: background .3s ease, color .3s ease, border .3s ease;
        background: @yellow;

        border: 1px solid @yellow;
        //border-radius: 2px;

        &:hover {
            background: transparent;
            border: 3px solid @yellow;
        }

        &:focus {
            outline: 0;
        }

        @media @mobile {
            width: 100%;
            height: 60px;
            font-size: 20px;
            margin-top: 20px;
        }
    }

    &-circles {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        z-index: 0;

        span {
            position: absolute;
            width: 290px;
            height: 290px;
            //background-color: #55B1FF;
            background-color: @yellow;
            border-radius: 50%;

            @media @mobile {
                width: 190px;
                height: 190px;
            }

            &:first-child {
                top: 10%;
                left: 34%;

                @media @mobile {
                    left: 15%;
                }
            }

            &:nth-child(2) {
                top: 80%;
                left: 7%;

                @media @mobile {
                    top: 50%;
                    left: 5%;
                }
            }

            &:nth-child(3) {
                right: 5%;
                bottom: 5%;

                @media @mobile {
                    bottom: 5%;
                }
            }

            &:nth-child(4) {
                right: -10%;
                top: -10%;

                @media @mobile {
                    right: 5%;
                }
            }

            &:nth-child(5) {
                top: 12%;
                left: -10%;
            }
        }
    }
}
